sc::SCMatrixSubblockIter Class Referenceabstract

Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix. More...

`#include <block.h>`

Inheritance diagram for sc::SCMatrixSubblockIter:
[legend]
Collaboration diagram for sc::SCMatrixSubblockIter:
[legend]

## Public Types

enum | Access { Read, Write, Accum, None }

## Public Member Functions

| SCMatrixSubblockIter (Access access)
| The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied. More...
virtual void | begin ()=0
| Start at the beginning.
virtual int | ready ()=0
| Returns nonzero if there is another block.
virtual void | next ()=0
| Proceed to the next block.
virtual SCMatrixBlock * | block ()=0
| Return the current block.
Access | access () const
| Return the type of Access allowed for these blocks.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

Access | access_

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

Objects of class SCMatrixSubblockIter are used to iterate through the blocks of a matrix.

The object must be deleted before using the matrix that owns the blocks that SCMatrixSubblockIter is iterating through.

## Constructor & Destructor Documentation

sc::SCMatrixSubblockIter::SCMatrixSubblockIter | ( | Access | access | ) |

inline

The access variable should be one of Read, Write, Accum, and None, with the SCMatrixSubblockIter:: scope operator applied.

The documentation for this class was generated from the following file:

- block.h